Bug 3559 - myproxy javadoc updates
: myproxy javadoc updates
Status: RESOLVED FIXED
: CoG jglobus
myproxy
: unspecified
: All All
: P3 contribution
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-07-12 09:41 by
Modified: 2005-12-05 17:16 (History)


Attachments
patch to update myproxy javadocs (8.66 KB, patch)
2005-07-12 09:47, Jim Basney
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-12 09:41:44
The following patch makes some javadoc updates to the jglobus myproxy
package.  Details below.
------- Comment #1 From 2005-07-12 09:47:45 -------
Created an attachment (id=653) [details]
patch to update myproxy javadocs

Apply in /cvs/cogkit/src/jglobus/src/org/globus/myproxy with:
  patch < jglobus.myproxy.diffs

This patch:
- updates URL to MyProxy project home page
- adds javadocs for public static final members
- adds javadocs for get/set methods
- re-words some method descriptions
- marks "OLD MYPROXY API" methods with @deprecated
  to encourage use of new API
- change "Globus credentials" to "X.509 credentials" in docs
------- Comment #2 From 2005-07-13 10:46:49 -------
Patch applied, thanks! I will commit the updated cog-jglobus.jar to GT4 cvs 
globus_4_0_branch (and trunk of course) so that this will be part of 4.0.1 
release.